encoder

Unsettled API - A stream-like encoder from C++ values to AMQP bytes. More...

`#include <encoder.hpp>`

Inherits data.

## Public Member Functions

| encoder (const data &d)
| Wrap Proton-C data object.
| encoder (internal::value_base &v)
| Encoder into v. Clears any current value in v.
bool | encode (char *buffer, size_t &size)
| Encode the current values into buffer and update size to reflect the number of bytes encoded. More...
void | encode (std::string &)
| Encode the current values into a std::string and resize the string if necessary. More...
std::string | encode ()
| Encode the current values into a std::string. More...
encoder & | operator<< (const internal::value_base &)
| Insert a proton::value.
encoder & | operator<< (const start &)
| Start a complex type.
encoder & | operator<< (const finish &)
| Finish a complex type.
Insert built-in types
encoder & | operator<< (bool)
encoder & | operator<< (uint8_t)
encoder & | operator<< (int8_t)
encoder & | operator<< (uint16_t)
encoder & | operator<< (int16_t)
encoder & | operator<< (uint32_t)
encoder & | operator<< (int32_t)
encoder & | operator<< (wchar_t)
encoder & | operator<< (uint64_t)
encoder & | operator<< (int64_t)
encoder & | operator<< (timestamp)
encoder & | operator<< (float)
encoder & | operator<< (double)
encoder & | operator<< (decimal32)
encoder & | operator<< (decimal64)
encoder & | operator<< (decimal128)
encoder & | operator<< (const uuid &)
encoder & | operator<< (const std::string &)
encoder & | operator<< (const symbol &)
encoder & | operator<< (const binary &)
encoder & | operator<< (const scalar_base &)
encoder & | operator<< (const null &)

## Detailed Description

Unsettled API - A stream-like encoder from C++ values to AMQP bytes.

For internal use only.

See also
  AMQP and C++ types for the recommended ways to manage AMQP data

## Member Function Documentation

## encode() [1/3]

bool encode | ( | char * | buffer,
|  | size_t & | size
| ) |  |

Encode the current values into buffer and update size to reflect the number of bytes encoded.

Clears the encoder.

Returns
  if buffer == 0 or size is too small, then return false and size to the required size. Otherwise, return true and set size to the number of bytes encoded.

## encode() [2/3]

void encode | ( | std::string & |  | ) |

Encode the current values into a std::string and resize the string if necessary.

Clears the encoder.

## encode() [3/3]

std::string encode | ( |  | ) |

Encode the current values into a std::string.

Clears the encoder.

The documentation for this class was generated from the following file:

- proton/codec/encoder.hpp